Index: doc/latex/ekf__obj_8h__incl.eps
===================================================================
--- doc/latex/ekf__obj_8h__incl.eps (revision 181)
+++ doc/latex/ekf__obj_8h__incl.eps (revision 210)
@@ -1,4 +1,4 @@
 %!PS-Adobe-3.0 EPSF-3.0
-%%Creator: Graphviz version 2.20.2 (Sat Aug 16 05:41:32 UTC 2008)
+%%Creator: Graphviz version 2.20.2 (Sun Oct 12 22:28:10 UTC 2008)
 %%For: (smidl) Vaclav Smidl,,,
 %%Title: G
@@ -209,20 +209,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 127 0 moveto
-127 21 lineto
-202 21 lineto
-202 0 lineto
+newpath 139 0 moveto
+139 21 lineto
+214 21 lineto
+214 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 127 0 moveto
-127 21 lineto
-202 21 lineto
-202 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-134.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 139 0 moveto
+139 21 lineto
+214 21 lineto
+214 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+146.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node1->Node2
@@ -232,19 +232,19 @@
 0.667 0.776 0.439 edgecolor
 newpath 236 290 moveto
-149 272 0 235 0 185 curveto
+150 272 1 235 0 185 curveto
 0 185 0 185 0 127 curveto
-0 69 68 37 117 23 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 118.43 26.23 moveto
-127 20 lineto
-116.42 19.52 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 118.43 26.23 moveto
-127 20 lineto
-116.42 19.52 lineto
+1 65 77 34 129 20 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 129.88 23.39 moveto
+139 18 lineto
+128.51 16.53 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 129.88 23.39 moveto
+139 18 lineto
+128.51 16.53 lineto
 closepath stroke
 grestore
@@ -486,19 +486,18 @@
 newpath 220 233 moveto
 271 221 356 199 359 196 curveto
-364 188 360 183 359 174 curveto
-349 120 357 95 318 58 curveto
-302 43 251 29 212 20 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 212.49 16.53 moveto
-202 18 lineto
-211.12 23.39 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 212.49 16.53 moveto
-202 18 lineto
-211.12 23.39 lineto
+399 143 351 100 301 58 curveto
+279 39 249 28 224 21 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 224.58 17.52 moveto
+214 18 lineto
+222.57 24.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 224.58 17.52 moveto
+214 18 lineto
+222.57 24.23 lineto
 closepath stroke
 grestore
@@ -549,5 +548,5 @@
 closepath stroke
 grestore
-% Node6
+% Node7
 gsave
 [ /Rect [ 144 175 220 195 ]
@@ -574,5 +573,5 @@
 152 181.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node3->Node6
+% Node3->Node7
 gsave
 1 setlinewidth
@@ -647,18 +646,18 @@
 0.667 0.776 0.439 edgecolor
 newpath 76 174 moveto
-65 160 49 136 57 116 curveto
-73 77 112 44 138 27 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 140.62 29.46 moveto
-147 21 lineto
-136.74 23.63 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 140.62 29.46 moveto
-147 21 lineto
-136.74 23.63 lineto
+65 160 49 137 57 116 curveto
+72 74 117 43 146 26 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 147.96 28.92 moveto
+155 21 lineto
+144.56 22.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 147.96 28.92 moveto
+155 21 lineto
+144.56 22.8 lineto
 closepath stroke
 grestore
@@ -714,19 +713,65 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 116 moveto
-104 102 117 77 130 58 curveto
-136 48 144 38 150 29 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 152.8 31.1 moveto
-156 21 lineto
-147.2 26.9 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 152.8 31.1 moveto
-156 21 lineto
-147.2 26.9 lineto
+newpath 96 116 moveto
+103 101 115 77 130 58 curveto
+138 47 148 36 157 28 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 159.4 30.55 moveto
+164 21 lineto
+154.45 25.6 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159.4 30.55 moveto
+164 21 lineto
+154.45 25.6 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 172 59 244 79 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 172 58 moveto
+172 79 lineto
+244 79 lineto
+244 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 172 58 moveto
+172 79 lineto
+244 79 lineto
+244 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+180 65.5 moveto 56 (../itpp_ext.h) alignedtext
+grestore
+% Node5->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 113 116 moveto
+132 107 158 93 179 83 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 180.28 86.26 moveto
+188 79 lineto
+177.44 79.86 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 180.28 86.26 moveto
+188 79 lineto
+177.44 79.86 lineto
 closepath stroke
 grestore
@@ -736,21 +781,43 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 181 174 moveto
-178 145 170 68 166 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 169.48 30.6 moveto
-165 21 lineto
-162.51 31.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 169.48 30.6 moveto
-165 21 lineto
-162.51 31.3 lineto
-closepath stroke
-grestore
-% Node6->Node5
+newpath 202 58 moveto
+198 50 192 39 187 30 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 189.92 28.04 moveto
+182 21 lineto
+183.8 31.44 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 189.92 28.04 moveto
+182 21 lineto
+183.8 31.44 lineto
+closepath stroke
+grestore
+% Node7->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 178 174 moveto
+171 151 157 100 163 58 curveto
+164 49 166 39 169 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 172.48 31.58 moveto
+172 21 lineto
+165.77 29.57 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 172.48 31.58 moveto
+172 21 lineto
+165.77 29.57 lineto
+closepath stroke
+grestore
+% Node7->Node5
 gsave
 1 setlinewidth
@@ -773,5 +840,26 @@
 closepath stroke
 grestore
-% Node7
+% Node7->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 184 174 moveto
+188 155 198 114 204 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 207.47 89.49 moveto
+206 79 lineto
+200.61 88.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 207.47 89.49 moveto
+206 79 lineto
+200.61 88.12 lineto
+closepath stroke
+grestore
+% Node8
 gsave
 [ /Rect [ 210 117 296 137 ]
@@ -798,5 +886,5 @@
 217.5 123.5 moveto 71 (../math/libDC.h) alignedtext
 grestore
-% Node6->Node7
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -819,94 +907,4 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 214 59 286 79 ]
-  /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
-  /Subtype /Link
-/ANN pdfmark
-0.000 0.000 1.000 nodecolor
-newpath 214 58 moveto
-214 79 lineto
-286 79 lineto
-286 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 214 58 moveto
-214 79 lineto
-286 79 lineto
-286 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-222 65.5 moveto 56 (../itpp_ext.h) alignedtext
-grestore
-% Node6->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 183 174 moveto
-185 160 189 134 201 116 curveto
-208 104 219 94 228 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 230.1 87.8 moveto
-236 79 lineto
-225.9 82.2 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 230.1 87.8 moveto
-236 79 lineto
-225.9 82.2 lineto
-closepath stroke
-grestore
-% Node7->Node2
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 240 116 moveto
-229 107 215 93 205 80 curveto
-192 64 181 44 174 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 176.92 28.04 moveto
-169 21 lineto
-170.8 31.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 176.92 28.04 moveto
-169 21 lineto
-170.8 31.44 lineto
-closepath stroke
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 252 116 moveto
-252 108 252 98 251 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 254.5 89 moveto
-251 79 lineto
-247.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 254.5 89 moveto
-251 79 lineto
-247.5 89 lineto
-closepath stroke
-grestore
 % Node8->Node2
 gsave
@@ -914,18 +912,40 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 233 58 moveto
-220 49 202 36 187 27 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 189.1 24.2 moveto
-179 21 lineto
-184.9 29.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 189.1 24.2 moveto
-179 21 lineto
-184.9 29.8 lineto
+newpath 256 116 moveto
+259 101 263 76 253 58 curveto
+245 43 230 33 215 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath stroke
+grestore
+% Node8->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 244 116 moveto
+238 108 229 96 222 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 224.8 84.9 moveto
+216 79 lineto
+219.2 89.1 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 224.8 84.9 moveto
+216 79 lineto
+219.2 89.1 lineto
 closepath stroke
 grestore
@@ -935,23 +955,44 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 309 174 moveto
-313 164 319 150 321 138 curveto
-327 101 322 83 295 58 curveto
-272 37 239 25 212 18 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 212.49 14.53 moveto
-202 16 lineto
-211.12 21.39 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 212.49 14.53 moveto
-202 16 lineto
-211.12 21.39 lineto
-closepath stroke
-grestore
-% Node9->Node7
+newpath 311 174 moveto
+318 160 328 135 321 116 curveto
+303 69 251 40 215 25 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 216.56 21.86 moveto
+206 21 lineto
+213.72 28.26 lineto
+closepath stroke
+grestore
+% Node9->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 308 174 moveto
+311 159 316 133 305 116 curveto
+293 98 273 87 254 79 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 254.58 75.52 moveto
+244 76 lineto
+252.57 82.23 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 254.58 75.52 moveto
+244 76 lineto
+252.57 82.23 lineto
+closepath stroke
+grestore
+% Node9->Node8
 gsave
 1 setlinewidth
@@ -972,26 +1013,4 @@
 262 137 lineto
 265.95 146.83 lineto
-closepath stroke
-grestore
-% Node9->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 307 174 moveto
-310 160 313 134 305 116 curveto
-299 103 288 93 277 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 279.1 82.2 moveto
-269 79 lineto
-274.9 87.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 279.1 82.2 moveto
-269 79 lineto
-274.9 87.8 lineto
 closepath stroke
 grestore
